Page MenuHomePhabricator

Fatal: Class GlobalPreferences\GlobalPreferencesForm may not inherit from interface (PreferencesForm)
Closed, ResolvedPublic

Description

Seen in en.beta

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

MaxSem created this task.May 9 2018, 12:29 AM
Restricted Application added a project: Community-Tech. · View Herald TranscriptMay 9 2018, 12:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 432022 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/mediawiki-config@master] Temporarily disable GlobalPreferences in beta

https://gerrit.wikimedia.org/r/432022

Change 432022 merged by jenkins-bot:
[operations/mediawiki-config@master] Temporarily disable GlobalPreferences in beta

https://gerrit.wikimedia.org/r/432022

Change 432045 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/GlobalPreferences@master] Inherit from PreferencesFormLegacy

https://gerrit.wikimedia.org/r/432045

Esanders added a subscriber: Esanders.EditedMay 9 2018, 8:55 AM

GlobalPreferences will need to re-implement in OOUI eventually (T186842), but in the mean time it can just fall back to using PreferencesFormLegacy.

Change 432045 merged by MaxSem:
[mediawiki/extensions/GlobalPreferences@master] Inherit from PreferencesFormLegacy

https://gerrit.wikimedia.org/r/432045

Change 432165 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[integration/config@master] Add GlobalPreferences to extension-gate

https://gerrit.wikimedia.org/r/432165

Change 432165 merged by jenkins-bot:
[integration/config@master] Add GlobalPreferences to extension-gate

https://gerrit.wikimedia.org/r/432165

Anything left to do here?

MaxSem closed this task as Resolved.May 15 2018, 6:41 PM
MaxSem claimed this task.

We still need to decide upon https://gerrit.wikimedia.org/r/#/c/432213/ and any followup changes to GP it might require, but the immediate problem is resolved.

Niharika moved this task from Untriaged to Archive on the Community-Tech board.May 15 2018, 6:46 PM
Vvjjkkii renamed this task from Fatal: Class GlobalPreferences\GlobalPreferencesForm may not inherit from interface (PreferencesForm) to 2bdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed MaxSem as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 2bdaaaaaaa to Fatal: Class GlobalPreferences\GlobalPreferencesForm may not inherit from interface (PreferencesForm).Jul 1 2018, 3:06 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to MaxSem.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.